/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.entity.App;
import net.northking.cctp.scriptcase.db.mapper.AppMapper;
import net.northking.cctp.scriptcase.dto.app.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：应用表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-10-13 10:00:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AppDao extends AppMapper
{
    List<AppCreator> queryCreator(AppQueryDto query);

    List<AppDetailDto> myPagingQuery(AppQueryDto query);

    List<App> queryAppList(App app);

    List<App> checkAppAlive(@Param("ids") List<String> ids);

    List<App> PagingQueryGroupByPackage(AppVersionQueryDto query);

    List<String> selectCreatorByProject(@Param("projectId") String projectId);


}
